přejít na obsah přejít na navigaci

Linux E X P R E S, jQuery 2.0

POINT.X (2018-19)

jQuery 2.0

jQuery

Vývojáři frameworku jQuery vydali verzi 2.0. Tato verze již neobsahuje podporu zastaralých prohlížečů.


reklama

Oblíbený javascriptový framework dospěl k zásadnímu přelomu. Byla vydána jeho verze 2.0, která (v souladu s plánem) již neobsahuje podporu zastaralých prohlížečů, konkrétně Internet Exploreru verzí 6 až 8. Pro případy, kdy je kompatibilita s těmito prohlížeči nezbytná, bude i nadále udržována a do určité míry i vyvíjena řada 1.x.

Nová verze je – právě díky odstranění množství kódu nutného pro kompatibilitu – menší, rychlejší a stabilnější. Nově si lze také vytvářet vlastní sestavení po vzoru jQuery UI (vloží se jen to, co se bude skutečně používat) a tak framework dále zmenšit a zrychlit. API verze 2.0 je kompatibilní s verzí 1.9, kód vytvořený pro starší verzi bude tedy s novou fungovat beze změn (byť jen na moderních prohlížečích).

Nahoru

Přidat téma diskuse

Nejsou podporovány žádné značky, komentáře jsou jen čistě textové. Více o diskuzích a pravidlech najdete v nápovědě.
Diskuzi můžete sledovat pomocí RSS kanálu rss



 
 

Top články z OpenOffice.cz

Lukáš Jelínek

Lukáš Jelínek

Dlouholetý člen autorského týmu LinuxEXPRESu a OpenOffice.cz. Vystudoval FEL ČVUT v oboru Výpočetní technika. Žije v Kutné Hoře a podniká v oblasti informačních technologií. Ve volném čase rád fotografuje, natáčí a stříhá video, občas se věnuje powerkitingu a na prahu čtyřicítky začal hrát tenis.


  • Distribuce: Debian, Linux Mint
  • Grafické prostředí: KDE

| proč linux | blog


Tiskárna Brno